package com.bohuikeji.delivery.backstage.constants;

/**
 * 微信应用信息枚举
 * @author 孙劲辉
 */
public enum WxAppEm {
    /**
     * 同城急送小程序
     */
    MP_CLIENT("客户端小程序","wxcf3a1f3166d803a9","bb03f68922307171da460f6320f8f9f4","MP"),
    /**
     * 骑手端小程序
     */
    MP_COURIER("骑手端小程序","wxe374dfebb23539be","db0b895c3766669389700911d8911088","MP"),
    /**
     * 同城急送公众号
     */
    GZH_TCJS("同城急送公众号","wx622a1adff1efa32a","18bcbc2caaf30eff5d1befec10016baf","GZH"),
    /**
     * 开放平台，骑手端APP
     */
    APP_COURIER("骑手端APP",":wx1305f153eaf8bf23","87ed503484a057330782e8d8ef8ddea9","APP"),
    /**
     * 开放平台——客户端APP
     */
    APP_CLIENT("客户端APP",":wxcf990538adccb931","3095dc1829a47afff5c3598681f8bb7b","APP"),
    /**
     * 同城急送公众号
     */
    MP_DIANMA("电马小程序","wxe7aad2bd20917ede","7177996898b083bd37d09928ce7dc5ad","MP"),
    /**
     * 支付宝WEB服务号
     */
    ZFB_WB("支付宝网页应用","2021001103698590","","ZFB_WEB");

    /**
     * 应用名称
     */
    private String name;
    /**
     * APPID
     */
    private String appId;
    /**
     * APPSecret
     */
    private String appSecret;
    /**
     * 应用类型
     */
    private String type;

    /**
     * 微信用户类型常量——骑手
     */
    public static final String WX_USER_TYPE_COURIER="COURIER";
    /**
     * 微信用户类型常量——客户
     */
    public static final String WX_USER_TYPE_CUSTOMER="CUSTOMER";

    /**
     * 微信用户类型常量——加盟商
     */
    public static final String WX_USER_TYPE_FRAN="FRAN";

    WxAppEm(String name, String appId, String appSecret, String type) {
        this.name = name;
        this.appId = appId;
        this.appSecret = appSecret;
        this.type = type;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
